## phonelink 1.2.8-os2008

=== Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# The icons

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/phonelink
pkglibdir = $(libdir)/phonelink
pkgincludedir = $(includedir)/phonelink
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/maemo/projects/phonelink/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/maemo/projects/phonelink/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/maemo/projects/phonelink/missing --run autoconf
AUTOHEADER = ${SHELL} /home/maemo/projects/phonelink/missing --run autoheader
AUTOMAKE = ${SHELL} /home/maemo/projects/phonelink/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2 -Icontactinfos -Idbussignal
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
DBUS_LIBS = -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GCONF_CFLAGS = -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GCONF_LIBS = -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
GNOKII_CFLAGS =  
GNOKII_GCONF_CFLAGS =  
GNOKII_GCONF_LIBS = -lgnokii-gconf -lgconf-2  
GNOKII_LIBS = -lgnokii  
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/hildon-help  
HILDON_LIBS = -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lhildonhelp -lglib-2.0 -losso  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/maemo/projects/phonelink/missing --run makeinfo
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
PACKAGE = phonelink
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.2.8
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
ac_pt_PKG_CONFIG = /scratchbox/tools/bin/pkg-config
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/maemo/projects/phonelink/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

icondir = $(datadir)/icons/hicolor


# The program
bin_PROGRAMS = phonelink

phonelink_SOURCES = phonelink.c \
			phonelink.h \
			contactinfos/client-contactinfos-dbus.h \
			contactinfos/marshall.h \
			contactinfos/marshall.c \
			dbussignal/dbussignal.h \
			dbussignal/dbussignal.c


phonelink_CFLAGS = $(GLIB_FLAGS) $(GTK_CFLAGS) $(HILDON_CFLAGS) $(OSSO_CFLAGS) $(GNOKII_CFLAGS) $(GCONF_CFLAGS) $(GNOKII_GCONF_CFLAGS)
phonelink_LDADD = $(GLIB_LIBS) $(GTK_LIBS) $(HILDON_LIBS) $(OSSO_LIBS) $(GNOKII_LIBS) $(GCONF_LIBS) $(GNOKII_GCONF_LIBS)

desktopdir = $(datadir)/applications/hildon
desktop_DATA = phonelink.desktop

servicedir = $(datadir)/dbus-1/services
service_DATA = com.nokia.phonelink.service


# The shared library

#lib_LTLIBRARIES = libhelloworld.la

#include_HEADERS = libhelloworld.h

#libhelloworld_la_SOURCES = libhelloworld.c \
#                           libhelloworld.h
#libhelloworld_la_CFLAGS = $(GTK_CFLAGS)
#libhelloworld_la_LIBADD = $(GTK_LIBS)

# The control panel applet

#libcpdir = $(libdir)/hildon-control-panel
#libcp_LTLIBRARIES = libhelloworld-cp.la

#libhelloworld_cp_la_SOURCES = hello-world-applet.c
#libhelloworld_cp_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS)
#libhelloworld_cp_la_LDFLAGS = -module -avoid-version
#libhelloworld_cp_la_LIBADD = $(GTK_LIBS) libhelloworld.la

#controlpaneldir = $(datadir)/applications/hildon-control-panel
#controlpanel_DATA = hello-world-cp.desktop

# The status bar plugin

#libsbdir = $(libdir)/hildon-status-bar
#libsb_LTLIBRARIES = libhelloworld_sb.la

#libhelloworld_sb_la_SOURCES = hello-world-statusbar.c
#libhelloworld_sb_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS)
#libhelloworld_sb_la_LDFLAGS = -module -avoid-version
#libhelloworld_sb_la_LIBADD = $(GTK_LIBS) libhelloworld.la

# The Home plugin

#libhhdir = $(libdir)/hildon-home
#libhh_LTLIBRARIES = libhelloworld-home.la
#libhh_DATA = hello-world.conf

#libhelloworld_home_la_SOURCES = hello-world-home.c
#libhelloworld_home_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS)
#libhelloworld_home_la_LDFLAGS = -module -avoid-version
#libhelloworld_home_la_LIBADD = $(GTK_LIBS) libhelloworld.la

# The locale

# The gstreamer plugin

# The backup/restore configuration
EXTRA_DIST = \
        autogen.sh				\
        debian/changelog			\
        debian/compat				\
        debian/copyright			\
        debian/control				\
        debian/rules				\
        debian/phoneLink.links			\
        phonelink.desktop			\
        com.nokia.phonelink.service		\
        phone.26.png			\
        phone.40.png			\
        pkg_phoneLink.64.png

subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = phonelink$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_phonelink_OBJECTS = phonelink-phonelink.$(OBJEXT) \
	phonelink-marshall.$(OBJEXT) phonelink-dbussignal.$(OBJEXT)
phonelink_OBJECTS = $(am_phonelink_OBJECTS)
phonelink_DEPENDENCIES =
phonelink_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/phonelink-dbussignal.Po \
	./$(DEPDIR)/phonelink-marshall.Po \
	./$(DEPDIR)/phonelink-phonelink.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(phonelink_SOURCES)
DATA = $(desktop_DATA) $(service_DATA)

DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/configure Makefile.am \
	aclocal.m4 compile config.guess config.h.in config.sub \
	configure configure.ac depcomp install-sh ltmain.sh missing \
	mkinstalldirs
SOURCES = $(phonelink_SOURCES)

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h

$(srcdir)/config.h.in:  $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	touch $(srcdir)/config.h.in

distclean-hdr:
	-rm -f config.h stamp-h1
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
phonelink$(EXEEXT): $(phonelink_OBJECTS) $(phonelink_DEPENDENCIES) 
	@rm -f phonelink$(EXEEXT)
	$(LINK) $(phonelink_LDFLAGS) $(phonelink_OBJECTS) $(phonelink_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/phonelink-dbussignal.Po
include ./$(DEPDIR)/phonelink-marshall.Po
include ./$(DEPDIR)/phonelink-phonelink.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \

=== debian/changelog ===
phonelink (1.2.8-os2008) unstable; urgency=low

  * Added a DBus Signal (incomingCall) 
  
 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Thu,  03 Apr 2008 18:23:24 +0100
   

phonelink (1.2.7) unstable; urgency=low

  * Fixing SMS Notification
  
 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Thu,  03 Apr 2008 18:23:23 +0100
   

## phonelink 1.2.12

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_triplet = arm-unknown-linux-gnu
+host_triplet = i686-pc-linux-gnu
 ACLOCAL = ${SHELL} /home/maemo/projects/phonelink/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
@@ -107,7 +107,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.2.8
+VERSION = 1.2.11
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
@@ -123,18 +123,18 @@
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build = arm-unknown-linux-gnu
+build = i686-pc-linux-gnu
 build_alias = 
-build_cpu = arm
+build_cpu = i686
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 datadir = ${prefix}/share
 exec_prefix = ${prefix}
-host = arm-unknown-linux-gnu
+host = i686-pc-linux-gnu
 host_alias = 
-host_cpu = arm
+host_cpu = i686
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 includedir = ${prefix}/include
 infodir = ${prefix}/info
 install_sh = /home/maemo/projects/phonelink/install-sh

=== debian/changelog ===
phonelink (1.2.12) unstable; urgency=low

  * Autobuilder
  
 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Fri, 06 Jun 2008 18:23:25 +0100
  

phonelink (1.2.11) unstable; urgency=low

  * Uncheck use COntactInfos if replying from an SMS and menu option unchecked
  * Added a DBus Signal (incomingSMS) 
  
 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Fri,  04 Apr 2008 18:23:25 +0100
   

phonelink (1.2.10) unstable; urgency=low

  * Added an menu option to dial or send sms without checking ContactInfos if it is a number ...
  
 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Fri,  04 Apr 2008 18:23:24 +0100
   

phonelink (1.2.9) unstable; urgency=low

  * Bug 2392 : SMS sent with empty number if contactInfos returns nothing
  
 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Thu,  03 Apr 2008 18:23:24 +0100
   

phonelink (1.2.8) unstable; urgency=low

  * Added a DBus Signal (incomingCall) 
  
 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Thu,  03 Apr 2008 18:23:24 +0100
   

=== debian/control ===
Source: phonelink
Section: user/phone
Priority: optional
Maintainer: Fred Lefevere-Laoide
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1), libgnokii3-dev, gnokii-gconf-dev (>=0.6), intltool, libhildon1-dev, libhildonfm2-dev, libhildonhelp-dev, libgconf2-dev
Standards-Version: 3.6.0

Package: phonelink
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}
Description: Let you dial or sms using your Bluetooth Phone and your contacts from GPE or the built-in contacts.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAAK/I
 NwWK6QAAABd0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYyLjW8h8n+AAADc0lE
 QVRIS+2WS0hbWRjHC2WI7+v7uW+7VK5GfOADH7tSdONCEQSFIhVk8EF9BJl6
 TTTGaBSjaROjSYw1PuiYa6baGGkaEG3pqs5qNgpjBx1GZiE4Mvz7nduFOFO6
 OKG7HvhzLsn5+H33fP/znXvr1vfxLXYgOTn5Tmtra6C9vf2LamtrW66vr3+g
 Uql+CIuflZUl7u3t4fT0FGdnZzg6OsKmL4CLiwtcXl7i/PwcPp/voqmp6VFM
 TIyKG8ZAwWAQgUBA0c7ODl78LOPw8BDHx8cK6OTkBP39/b/T2nthgWRZxtjY
 GIaGhtDT04Pe3l5oNBqYTCbYbDbs7++ju7sbmZmZIjeIBbtcLgwMDODg4OB/
 cjgcWF9fB9UQ6enp/KCMjAzRYrFAr9fjSyMUCsHpdIIMg7S0NH4QC56enlZA
 /1wBl/9RMBgCS6S5uRmpqan8IBY8OTmJ4WE9/vwb+PjXtf6g553dEGZmZtDY
 2IiUlBR+EAseHx+HpNXj12Pg3W/Xek/Pm1shmM1m1NXVISkpiR/EgpnjfpL0
 eP0B2Ni/lnwArMmfQbW1tUhMTOQHUWcQn1mfYXjEAO/2W6z5bsruWMbS8yU0
 NDQgISGBH8SyNFMNFj1L0Gq1WHQvYtnjweraKubn5+FedMHvf4WamhrEx8fz
 gwRBEEdGRvBwRauAXm5tIbC7i+CboHJ+Ak/N8LudqKioQFxcXHggnU6HR0s6
 dPz4GJMmM7xeLzwrqxjVT2CZ/vvFOY+SkhLExsbyg1iWrPV4ZS/6+vowNzen
 tJ+pqSnF1qwzeFZWUFBQAGqq/CCWpSRJkDdlBWSbsymz0WhUNDs7C6fLiby8
 PERHR/ODKMucfo3mavvVNgYHB2+ARg2jsFqtinJychAVFcUPioyMTK+qqvIZ
 DIZ/3W43bZNHcR6zNJPdbkdHRweys7PDA7G2T867W1RU5CfgVXV1NSoqK1FW
 VobS0lLk5uYqkEr6LawDy0ARERFCcXFxPVn4SXl5uUQOkwgsFRYWSlQbSRRF
 ZaYaZXHfR/QtoMrPz7/f2dk5ZHlq0VGXuCGqk66lpUVHa3RUI34QmSGyq6tL
 3Pb71XRVqO0LdjVdguoJ04TaOG5ULywsqGctFjUbVM9o7jei7bhNbhM2NjYE
 KrpAdlZmOsQC2V7Qm0yC1eEQ6I0EtvZroE8FWmnYQG/pcwAAAABJRU5ErkJg
 gg

## phonelink 1.3.3

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_triplet = i686-pc-linux-gnu
+host_triplet = arm-unknown-linux-gnu
 ACLOCAL = ${SHELL} /home/maemo/projects/phonelink/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
@@ -107,7 +107,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.2.11
+VERSION = 1.3.3
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
@@ -123,18 +123,18 @@
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build = i686-pc-linux-gnu
+build = arm-unknown-linux-gnu
 build_alias = 
-build_cpu = i686
+build_cpu = arm
 build_os = linux-gnu
-build_vendor = pc
+build_vendor = unknown
 datadir = ${prefix}/share
 exec_prefix = ${prefix}
-host = i686-pc-linux-gnu
+host = arm-unknown-linux-gnu
 host_alias = 
-host_cpu = i686
+host_cpu = arm
 host_os = linux-gnu
-host_vendor = pc
+host_vendor = unknown
 includedir = ${prefix}/include
 infodir = ${prefix}/info
 install_sh = /home/maemo/projects/phonelink/install-sh

=== debian/changelog ===
phonelink (1.3.3) unstable; urgency=low

  * SMS Delivery Report (take 4)

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Mon, 28 Jul 2008 18:23:25 +0100

phonelink (1.3.2) unstable; urgency=low

  * SMS Delivery Report (take 3)

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Fri, 25 Jul 2008 18:23:25 +0100
   

phonelink (1.3.1) unstable; urgency=low

  * SMS Delivery Report (take 2)

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Fri, 25 Jul 2008 18:23:25 +0100

phonelink (1.3.0) unstable; urgency=low

  * SMS Delivery Report

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Tue, 22 Jul 2008 18:23:25 +0100

   

## phonelink 1.4.0

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_triplet = arm-unknown-linux-gnu
+host_triplet = i686-pc-linux-gnu
 ACLOCAL = ${SHELL} /home/maemo/projects/phonelink/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
@@ -107,7 +107,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.3.3
+VERSION = 1.4.0
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
@@ -123,18 +123,18 @@
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build = arm-unknown-linux-gnu
+build = i686-pc-linux-gnu
 build_alias = 
-build_cpu = arm
+build_cpu = i686
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 datadir = ${prefix}/share
 exec_prefix = ${prefix}
-host = arm-unknown-linux-gnu
+host = i686-pc-linux-gnu
 host_alias = 
-host_cpu = arm
+host_cpu = i686
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 includedir = ${prefix}/include
 infodir = ${prefix}/info
 install_sh = /home/maemo/projects/phonelink/install-sh

=== debian/changelog ===
phonelink (1.4.0) unstable; urgency=low

  * DialPad

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Tue, 16 Sep 2008 18:23:25 +0100

## phonelink 1.4.0-1

=== debian/changelog ===
phonelink (1.4.0-1) unstable; urgency=low

  * compile against libgnoki3 0.6.28cvs

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Wed, 25 Feb 2009 18:23:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}
 Description: Let you dial or sms using your Bluetooth Phone and your contacts from GPE or the built-in contacts.
+XB-Maemo-Upgrade-Description: Compiled against libgnokii3 0.6.28cvs
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAAK/I
  NwWK6QAAABd0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYyLjW8h8n+AAADc0lE

## phonelink 1.4.0-2

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_triplet = i686-pc-linux-gnu
+host_triplet = arm-unknown-linux-gnu
 ACLOCAL = ${SHELL} /home/maemo/projects/phonelink/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
@@ -123,18 +123,18 @@
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build = i686-pc-linux-gnu
+build = arm-unknown-linux-gnu
 build_alias = 
-build_cpu = i686
+build_cpu = arm
 build_os = linux-gnu
-build_vendor = pc
+build_vendor = unknown
 datadir = ${prefix}/share
 exec_prefix = ${prefix}
-host = i686-pc-linux-gnu
+host = arm-unknown-linux-gnu
 host_alias = 
-host_cpu = i686
+host_cpu = arm
 host_os = linux-gnu
-host_vendor = pc
+host_vendor = unknown
 includedir = ${prefix}/include
 infodir = ${prefix}/info
 install_sh = /home/maemo/projects/phonelink/install-sh

=== debian/changelog ===
phonelink (1.4.0-2) unstable; urgency=low

  * depends on libgnokii4

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Wed, 25 Feb 2009 18:23:25 +0100
   

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/phone
 Priority: optional
 Maintainer: Fred Lefevere-Laoide
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1), libgnokii3-dev, gnokii-gconf-dev (>=0.6), intltool, libhildon1-dev, libhildonfm2-dev, libhildonhelp-dev, libgconf2-dev
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1), libgnokii4-dev, gnokii-gconf-dev (>=0.6), intltool, libhildon1-dev, libhildonfm2-dev, libhildonhelp-dev, libgconf2-dev
 Standards-Version: 3.6.0
 
 Package: phonelink

## phonelink 1.4.1

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_triplet = arm-unknown-linux-gnu
+host_triplet = i486-pc-linux-gnu
 ACLOCAL = ${SHELL} /home/maemo/projects/phonelink/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
@@ -49,7 +49,7 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -g -O2 -Icontactinfos -Idbussignal
+CFLAGS = -g -O2 -Icontactinfos -Idbussignal
 CPP = gcc -E
 CPPFLAGS = 
 CXX = g++
@@ -61,11 +61,12 @@
 DBUS_LIBS = -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
+DSYMUTIL = 
 ECHO = echo
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = grep -E
+EGREP = /scratchbox/tools/bin/grep -E
 EXEEXT = 
 F77 = 
 FFLAGS = 
@@ -77,10 +78,11 @@
 GNOKII_GCONF_CFLAGS =  
 GNOKII_GCONF_LIBS = -lgnokii-gconf -lgconf-2  
 GNOKII_LIBS = -lgnokii  
-GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
-GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
-HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/hildon-help  
-HILDON_LIBS = -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lhildonhelp -lglib-2.0 -losso  
+GREP = /scratchbox/tools/bin/grep
+GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1  
+GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/hildon-fm-2 -I/usr/include/hildon-help  
+HILDON_LIBS = -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lhildonhelp -lglib-2.0 -losso  
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -92,8 +94,9 @@
 LN_S = ln -s
 LTLIBOBJS = 
 MAKEINFO = ${SHELL} /home/maemo/projects/phonelink/missing --run makeinfo
+NMEDIT = 
 OBJEXT = o
-OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
+OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
 OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
 PACKAGE = phonelink
 PACKAGE_BUGREPORT = 
@@ -104,17 +107,14 @@
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
 RANLIB = ranlib
+SED = /scratchbox/tools/bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.4.0
-ac_ct_AR = ar
+VERSION = 1.4.1
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_F77 = 
-ac_ct_RANLIB = ranlib
-ac_ct_STRIP = strip
-ac_pt_PKG_CONFIG = /scratchbox/tools/bin/pkg-config
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
@@ -123,28 +123,35 @@
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build = arm-unknown-linux-gnu
+build = i486-pc-linux-gnu
 build_alias = 
-build_cpu = arm
+build_cpu = i486
 build_os = linux-gnu
-build_vendor = unknown
-datadir = ${prefix}/share
+build_vendor = pc
+datadir = ${datarootdir}
+datarootdir = ${prefix}/share
+docdir = ${datarootdir}/doc/${PACKAGE}
+dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = arm-unknown-linux-gnu
+host = i486-pc-linux-gnu
 host_alias = 
-host_cpu = arm
+host_cpu = i486
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
+htmldir = ${docdir}
 includedir = ${prefix}/include
-infodir = ${prefix}/info
+infodir = ${datarootdir}/info
 install_sh = /home/maemo/projects/phonelink/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
+localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
-mandir = ${prefix}/man
+mandir = ${datarootdir}/man
 oldincludedir = /usr/include
-prefix = /usr
+pdfdir = ${docdir}
+prefix = /usr/local
 program_transform_name = s,x,x,
+psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 sysconfdir = ${prefix}/etc
@@ -357,9 +364,3 @@
 include ./$(DEPDIR)/phonelink-phonelink.Po
 
 .c.o:
-	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
-	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
-	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
-	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
-	fi
-#	source='$<' object='$@' libtool=no \

=== debian/changelog ===
phonelink (1.4.1) unstable; urgency=low

  * added fullScreen support

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Thu, 15 Apr 2009 18:23:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}
 Description: Let you dial or sms using your Bluetooth Phone and your contacts from GPE or the built-in contacts.
-XB-Maemo-Upgrade-Description: Compiled against libgnokii3 0.6.28cvs
+XB-Maemo-Upgrade-Description: Added full screen support
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAAK/I
  NwWK6QAAABd0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYyLjW8h8n+AAADc0lE

## phonelink 1.4.2

=== debian/changelog ===
phonelink (1.4.2) unstable; urgency=low


  * packaging for Fremantle Beta

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Thu, 28 Apr 2009 18:23:25 +0100

## phonelink 1.4.2b

=== debian/changelog ===
phonelink (1.4.2b) unstable; urgency=low


  * packaging for Fremantle Beta : postinst

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Wed, 29 Apr 2009 18:23:25 +0100

## phonelink 1.4.2c

=== Makefile ===
--- 
+++ 
@@ -79,10 +79,10 @@
 GNOKII_GCONF_LIBS = -lgnokii-gconf -lgconf-2  
 GNOKII_LIBS = -lgnokii  
 GREP = /scratchbox/tools/bin/grep
-GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1  
+GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
 GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
-HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/hildon-fm-2 -I/usr/include/hildon-help  
-HILDON_LIBS = -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lhildonhelp -lglib-2.0 -losso  
+HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2  
+HILDON_LIBS = -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -111,7 +111,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.4.1
+VERSION = 1.4.2
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_F77 = 
@@ -364,3 +364,4 @@
 include ./$(DEPDIR)/phonelink-phonelink.Po
 
 .c.o:
+	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \

=== debian/changelog ===
phonelink (1.4.2c) unstable; urgency=low


  * packaging for Fremantle Beta : postinst

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Wed, 29 Apr 2009 18:23:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: phonelink
-Section: user/phone
+Section: user/utilities
 Priority: optional
 Maintainer: Fred Lefevere-Laoide
-Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1), libgnokii4-dev, gnokii-gconf-dev (>=0.6), intltool, libhildon1-dev, libhildonfm2-dev, libhildonhelp-dev, libgconf2-dev
+Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libosso-dev (>= 1), libgnokii4-dev, gnokii-gconf-dev (>=0.6), intltool, libhildon1-dev, libhildonfm2-dev, libgconf2-dev
 Standards-Version: 3.6.0
 
 Package: phonelink
@@ -10,7 +10,7 @@
 Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}
 Description: Let you dial or sms using your Bluetooth Phone and your contacts from GPE or the built-in contacts.
-XB-Maemo-Upgrade-Description: Added full screen support
+XB-Maemo-Upgrade-Description: packaging for Fremantle Beta
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAAK/I
  NwWK6QAAABd0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYyLjW8h8n+AAADc0lE

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-static
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/phonelink

	# See postinst for why we do this.
#	( cd $(CURDIR)/debian/phonelink/usr/share/applications/hildon \
#          && mv phonelink.desktop phonelink.inactive                    \
#        )

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#       dh_installchangelogs 
#       dh_installdocs
#       dh_installexamples
#       dh_install
#       dh_installmenu
#       dh_installdebconf       
#       dh_installlogrotate
#       dh_installemacsen
#       dh_installpam
#       dh_installmime
#       dh_installinit
#       dh_installcron
#       dh_installinfo
#       dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#       dh_perl
#       dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## phonelink 1.4.3

=== Makefile ===
--- 
+++ 
@@ -111,7 +111,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.4.2
+VERSION = 1.4.3
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_F77 =

=== debian/changelog ===
phonelink (1.4.3) unstable; urgency=low

  * a better AboutBox (that works with Fremantle too)

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Wed, 29 Apr 2009 18:23:25 +0100

## phonelink 1.4.3a

=== debian/changelog ===
phonelink (1.4.3a) unstable; urgency=low

  * dependency for Fremantle

 -- Fred Lefevere-Laoide <Fred@Lefevere-Laoide.net>  Wed, 29 July 2009 18:23:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: phonelink
 Architecture: any
-Pre-Depends: maemo-select-menu-location
+Pre-Depends: 
 Depends: ${shlibs:Depends}
 Description: Let you dial or sms using your Bluetooth Phone and your contacts from GPE or the built-in contacts.
 XB-Maemo-Upgrade-Description: packaging for Fremantle Beta
